

Patch from Dave Hansen <haveblue@us.ibm.com>

ptes this time



 25-akpm/include/asm-i386/pgtable.h      |   10 +++++-----
 25-akpm/include/asm-ia64/pgtable.h      |    4 ++--
 25-akpm/include/asm-m68k/sun3_pgtable.h |    6 +++---
 25-akpm/include/asm-parisc/pgtable.h    |    4 ++--
 25-akpm/include/asm-ppc/pgtable.h       |    8 ++++----
 25-akpm/include/asm-s390/pgtable.h      |    4 ++--
 25-akpm/include/asm-s390x/pgtable.h     |    4 ++--
 25-akpm/include/asm-sh/pgtable.h        |    4 ++--
 25-akpm/include/asm-sparc64/pgtable.h   |    8 ++++----
 25-akpm/include/asm-um/pgtable.h        |    8 ++++----
 25-akpm/include/asm-x86_64/pgtable.h    |    4 ++--
 11 files changed, 32 insertions(+), 32 deletions(-)

diff -puN include/asm-i386/pgtable.h~remove-__pte_offset include/asm-i386/pgtable.h
--- 25/include/asm-i386/pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-i386/pgtable.h	Tue Mar  4 15:05:36 2003
@@ -247,21 +247,21 @@ static inline pte_t pte_modify(pte_t pte
 		(((address) >> PMD_SHIFT) & (PTRS_PER_PMD-1))
 
 /* Find an entry in the third-level page table.. */
-#define __pte_offset(address) \
+#define pte_index(address) \
 		(((address) >> PAGE_SHIFT) & (PTRS_PER_PTE - 1))
 #define pte_offset_kernel(dir, address) \
-	((pte_t *) pmd_page_kernel(*(dir)) +  __pte_offset(address))
+	((pte_t *) pmd_page_kernel(*(dir)) +  pte_index(address))
 
 #if defined(CONFIG_HIGHPTE)
 #define pte_offset_map(dir, address) \
-	((pte_t *)kmap_atomic(pmd_page(*(dir)),KM_PTE0) + __pte_offset(address))
+	((pte_t *)kmap_atomic(pmd_page(*(dir)),KM_PTE0) + pte_index(address))
 #define pte_offset_map_nested(dir, address) \
-	((pte_t *)kmap_atomic(pmd_page(*(dir)),KM_PTE1) + __pte_offset(address))
+	((pte_t *)kmap_atomic(pmd_page(*(dir)),KM_PTE1) + pte_index(address))
 #define pte_unmap(pte) kunmap_atomic(pte, KM_PTE0)
 #define pte_unmap_nested(pte) kunmap_atomic(pte, KM_PTE1)
 #else
 #define pte_offset_map(dir, address) \
-	((pte_t *)page_address(pmd_page(*(dir))) + __pte_offset(address))
+	((pte_t *)page_address(pmd_page(*(dir))) + pte_index(address))
 #define pte_offset_map_nested(dir, address) pte_offset_map(dir, address)
 #define pte_unmap(pte) do { } while (0)
 #define pte_unmap_nested(pte) do { } while (0)
diff -puN include/asm-ia64/pgtable.h~remove-__pte_offset include/asm-ia64/pgtable.h
--- 25/include/asm-ia64/pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-ia64/pgtable.h	Tue Mar  4 15:05:36 2003
@@ -317,8 +317,8 @@ pgd_offset (struct mm_struct *mm, unsign
  * Find an entry in the third-level page table.  This looks more complicated than it
  * should be because some platforms place page tables in high memory.
  */
-#define __pte_offset(addr)	 	(((addr) >> PAGE_SHIFT) & (PTRS_PER_PTE - 1))
-#define pte_offset_kernel(dir,addr)	((pte_t *) pmd_page_kernel(*(dir)) + __pte_offset(addr))
+#define pte_index(addr)	 	(((addr) >> PAGE_SHIFT) & (PTRS_PER_PTE - 1))
+#define pte_offset_kernel(dir,addr)	((pte_t *) pmd_page_kernel(*(dir)) + pte_index(addr))
 #define pte_offset_map(dir,addr)	pte_offset_kernel(dir, addr)
 #define pte_offset_map_nested(dir,addr)	pte_offset_map(dir, addr)
 #define pte_unmap(pte)			do { } while (0)
diff -puN include/asm-m68k/sun3_pgtable.h~remove-__pte_offset include/asm-m68k/sun3_pgtable.h
--- 25/include/asm-m68k/sun3_pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-m68k/sun3_pgtable.h	Tue Mar  4 15:05:36 2003
@@ -196,10 +196,10 @@ extern inline pmd_t *pmd_offset (pgd_t *
 }
 
 /* Find an entry in the third-level pagetable. */
-#define __pte_offset(address) ((address >> PAGE_SHIFT) & (PTRS_PER_PTE-1))
-#define pte_offset_kernel(pmd, address) ((pte_t *) __pmd_page(*pmd) + __pte_offset(address))
+#define pte_index(address) ((address >> PAGE_SHIFT) & (PTRS_PER_PTE-1))
+#define pte_offset_kernel(pmd, address) ((pte_t *) __pmd_page(*pmd) + pte_index(address))
 /* FIXME: should we bother with kmap() here? */
-#define pte_offset_map(pmd, address) ((pte_t *)kmap(pmd_page(*pmd)) + __pte_offset(address))
+#define pte_offset_map(pmd, address) ((pte_t *)kmap(pmd_page(*pmd)) + pte_index(address))
 #define pte_offset_map_nested(pmd, address) pte_offset_map(pmd, address)
 #define pte_unmap(pte) kunmap(pte)
 #define pte_unmap_nested(pte) kunmap(pte)
diff -puN include/asm-parisc/pgtable.h~remove-__pte_offset include/asm-parisc/pgtable.h
--- 25/include/asm-parisc/pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-parisc/pgtable.h	Tue Mar  4 15:05:36 2003
@@ -329,9 +329,9 @@ extern inline pte_t pte_modify(pte_t pte
 #endif
 
 /* Find an entry in the third-level page table.. */ 
-#define __pte_offset(address) (((address) >> PAGE_SHIFT) & (PTRS_PER_PTE-1))
+#define pte_index(address) (((address) >> PAGE_SHIFT) & (PTRS_PER_PTE-1))
 #define pte_offset_kernel(pmd, address) \
-	((pte_t *) pmd_page_kernel(*(pmd)) + __pte_offset(address))
+	((pte_t *) pmd_page_kernel(*(pmd)) + pte_index(address))
 #define pte_offset_map(pmd, address) pte_offset_kernel(pmd, address)
 #define pte_offset_map_nested(pmd, address) pte_offset_kernel(pmd, address)
 #define pte_unmap(pte) do { } while (0)
diff -puN include/asm-ppc/pgtable.h~remove-__pte_offset include/asm-ppc/pgtable.h
--- 25/include/asm-ppc/pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-ppc/pgtable.h	Tue Mar  4 15:05:36 2003
@@ -494,14 +494,14 @@ static inline pmd_t * pmd_offset(pgd_t *
 }
 
 /* Find an entry in the third-level page table.. */
-#define __pte_offset(address)		\
+#define pte_index(address)		\
 	(((address) >> PAGE_SHIFT) & (PTRS_PER_PTE - 1))
 #define pte_offset_kernel(dir, addr)	\
-	((pte_t *) pmd_page_kernel(*(dir)) + __pte_offset(addr))
+	((pte_t *) pmd_page_kernel(*(dir)) + pte_index(addr))
 #define pte_offset_map(dir, addr)		\
-	((pte_t *) kmap_atomic(pmd_page(*(dir)), KM_PTE0) + __pte_offset(addr))
+	((pte_t *) kmap_atomic(pmd_page(*(dir)), KM_PTE0) + pte_index(addr))
 #define pte_offset_map_nested(dir, addr)	\
-	((pte_t *) kmap_atomic(pmd_page(*(dir)), KM_PTE1) + __pte_offset(addr))
+	((pte_t *) kmap_atomic(pmd_page(*(dir)), KM_PTE1) + pte_index(addr))
 
 #define pte_unmap(pte)		kunmap_atomic(pte, KM_PTE0)
 #define pte_unmap_nested(pte)	kunmap_atomic(pte, KM_PTE1)
diff -puN include/asm-s390/pgtable.h~remove-__pte_offset include/asm-s390/pgtable.h
--- 25/include/asm-s390/pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-s390/pgtable.h	Tue Mar  4 15:05:36 2003
@@ -467,9 +467,9 @@ extern inline pmd_t * pmd_offset(pgd_t *
 }
 
 /* Find an entry in the third-level page table.. */
-#define __pte_offset(address) (((address) >> PAGE_SHIFT) & (PTRS_PER_PTE-1))
+#define pte_index(address) (((address) >> PAGE_SHIFT) & (PTRS_PER_PTE-1))
 #define pte_offset_kernel(pmd, address) \
-	((pte_t *) pmd_page_kernel(*(pmd)) + __pte_offset(address))
+	((pte_t *) pmd_page_kernel(*(pmd)) + pte_index(address))
 #define pte_offset_map(pmd, address) pte_offset_kernel(pmd, address)
 #define pte_offset_map_nested(pmd, address) pte_offset_kernel(pmd, address)
 #define pte_unmap(pte) do { } while (0)
diff -puN include/asm-s390x/pgtable.h~remove-__pte_offset include/asm-s390x/pgtable.h
--- 25/include/asm-s390x/pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-s390x/pgtable.h	Tue Mar  4 15:05:36 2003
@@ -493,9 +493,9 @@ extern inline pte_t mk_pte_phys(unsigned
 	((pmd_t *) pgd_page_kernel(*(dir)) + pmd_index(addr))
 
 /* Find an entry in the third-level page table.. */
-#define __pte_offset(address) (((address) >> PAGE_SHIFT) & (PTRS_PER_PTE-1))
+#define pte_index(address) (((address) >> PAGE_SHIFT) & (PTRS_PER_PTE-1))
 #define pte_offset_kernel(pmd, address) \
-	((pte_t *) pmd_page_kernel(*(pmd)) + __pte_offset(address))
+	((pte_t *) pmd_page_kernel(*(pmd)) + pte_index(address))
 #define pte_offset_map(pmd, address) pte_offset_kernel(pmd, address)
 #define pte_offset_map_nested(pmd, address) pte_offset_kernel(pmd, address)
 #define pte_unmap(pte) do { } while (0)
diff -puN include/asm-sh/pgtable.h~remove-__pte_offset include/asm-sh/pgtable.h
--- 25/include/asm-sh/pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-sh/pgtable.h	Tue Mar  4 15:05:36 2003
@@ -280,10 +280,10 @@ static inline pte_t pte_modify(pte_t pte
 #define pgd_offset_k(address) pgd_offset(&init_mm, address)
 
 /* Find an entry in the third-level page table.. */
-#define __pte_offset(address) \
+#define pte_index(address) \
 		((address >> PAGE_SHIFT) & (PTRS_PER_PTE - 1))
 #define pte_offset(dir, address) ((pte_t *) pmd_page(*(dir)) + \
-			__pte_offset(address))
+			pte_index(address))
 
 extern void update_mmu_cache(struct vm_area_struct * vma,
 			     unsigned long address, pte_t pte);
diff -puN include/asm-sparc64/pgtable.h~remove-__pte_offset include/asm-sparc64/pgtable.h
--- 25/include/asm-sparc64/pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-sparc64/pgtable.h	Tue Mar  4 15:05:36 2003
@@ -273,11 +273,11 @@ static inline pte_t pte_modify(pte_t ori
 					((address >> PMD_SHIFT) & (REAL_PTRS_PER_PMD-1)))
 
 /* Find an entry in the third-level page table.. */
-#define __pte_offset(dir, address)	((pte_t *) __pmd_page(*(dir)) + \
+#define pte_index(dir, address)	((pte_t *) __pmd_page(*(dir)) + \
 					((address >> PAGE_SHIFT) & (PTRS_PER_PTE - 1)))
-#define pte_offset_kernel		__pte_offset
-#define pte_offset_map			__pte_offset
-#define pte_offset_map_nested		__pte_offset
+#define pte_offset_kernel		pte_index
+#define pte_offset_map			pte_index
+#define pte_offset_map_nested		pte_index
 #define pte_unmap(pte)			do { } while (0)
 #define pte_unmap_nested(pte)		do { } while (0)
 
diff -puN include/asm-um/pgtable.h~remove-__pte_offset include/asm-um/pgtable.h
--- 25/include/asm-um/pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-um/pgtable.h	Tue Mar  4 15:05:36 2003
@@ -375,13 +375,13 @@ static inline pmd_t * pmd_offset(pgd_t *
 }
 
 /* Find an entry in the third-level page table.. */ 
-#define __pte_offset(address) (((address) >> PAGE_SHIFT) & (PTRS_PER_PTE - 1))
+#define pte_index(address) (((address) >> PAGE_SHIFT) & (PTRS_PER_PTE - 1))
 #define pte_offset_kernel(dir, address) \
-	((pte_t *) pmd_page_kernel(*(dir)) +  __pte_offset(address))
+	((pte_t *) pmd_page_kernel(*(dir)) +  pte_index(address))
 #define pte_offset_map(dir, address) \
-        ((pte_t *)kmap_atomic(pmd_page(*(dir)),KM_PTE0) + __pte_offset(address))
+        ((pte_t *)kmap_atomic(pmd_page(*(dir)),KM_PTE0) + pte_index(address))
 #define pte_offset_map_nested(dir, address) \
-	((pte_t *)kmap_atomic(pmd_page(*(dir)),KM_PTE1) + __pte_offset(address))
+	((pte_t *)kmap_atomic(pmd_page(*(dir)),KM_PTE1) + pte_index(address))
 #define pte_unmap(pte) kunmap_atomic((pte), KM_PTE0)
 #define pte_unmap_nested(pte) kunmap_atomic((pte), KM_PTE1)
 
diff -puN include/asm-x86_64/pgtable.h~remove-__pte_offset include/asm-x86_64/pgtable.h
--- 25/include/asm-x86_64/pgtable.h~remove-__pte_offset	Tue Mar  4 15:05:36 2003
+++ 25-akpm/include/asm-x86_64/pgtable.h	Tue Mar  4 15:05:36 2003
@@ -353,10 +353,10 @@ extern inline pte_t pte_modify(pte_t pte
        return pte; 
 }
 
-#define __pte_offset(address) \
+#define pte_index(address) \
 		((address >> PAGE_SHIFT) & (PTRS_PER_PTE - 1))
 #define pte_offset_kernel(dir, address) ((pte_t *) pmd_page_kernel(*(dir)) + \
-			__pte_offset(address))
+			pte_index(address))
 
 /* x86-64 always has all page tables mapped. */
 #define pte_offset_map(dir,address) pte_offset_kernel(dir,address)

_
